Foreman - Bug #19432

Alphabetize the menu items in the "Select Action"” pulldown menu
05/02/2017 09:47 AM - Marek Hulan

Status: New

Priority: Normal
Assignee: Marek Hulén
Category: Web Interface

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1447342 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1447342

At hosts -> all hosts, the menu items for select action should be alphaetized so they are easier to read.

Version-Release number of selected component (if applicable):
all

How reproducible:
100%

Steps to Reproduce:
1. Go to http://satellite.example.com/hosts

2. Select a system's checkbox
3. Click the Select Action pulldown menu

Actual results:
The items are not in alphabetical order:

Change Group

Build Hosts

Change Environment
Edit Parameters
Disable Notifications
Enable Notifications
Disassociate hosts

Expected results:
The menu items should be in order

Related issues:

Has duplicate Foreman - Bug #25057: Hosts actions are not sorted Duplicate

History

#1 - 05/02/2017 09:48 AM - Marek Hulan
- Description updated
- Status changed from New to Assigned

- Assignee set to Marek Hulan

#2 - 05/02/2017 09:49 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4497 added
https://bugzilla.redhat.com/show_bug.cgi?id=1447342
http://satellite.example.com/hosts

#3 - 09/27/2018 01:52 PM - Marek Hulan
- Has duplicate Bug #25057: Hosts actions are not sorted added

#4 - 05/10/2019 01:27 AM - The Foreman Bot
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/foreman/pull/4497)
